curl --request POST \
--url https://api.opal.dev/v1/bundles/{bundle_id}/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"group_id": "72e75a6f-7183-48c5-94ff-6013f213314b",
"access_level_remote_id": "arn:aws:iam::590304332660:role/AdministratorAccess",
"access_level_name": "AdministratorAccess"
}
'import requests
url = "https://api.opal.dev/v1/bundles/{bundle_id}/groups"
payload = {
"group_id": "72e75a6f-7183-48c5-94ff-6013f213314b",
"access_level_remote_id": "arn:aws:iam::590304332660:role/AdministratorAccess",
"access_level_name": "AdministratorAccess"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
group_id: '72e75a6f-7183-48c5-94ff-6013f213314b',
access_level_remote_id: 'arn:aws:iam::590304332660:role/AdministratorAccess',
access_level_name: 'AdministratorAccess'
})
};
fetch('https://api.opal.dev/v1/bundles/{bundle_id}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bundle_id": "a381e7a3-e5e0-4c48-b1d6-4ccb4c191bc1",
"group_id": "a381e7a3-e5e0-4c48-b1d6-4ccb4c191bc1",
"access_level_name": "Read",
"access_level_remote_id": "arn:aws:iam::490306337630:role/SupportUser"
}Adds a group to a bundle.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the bundle.
Body
The ID of the group to add.
"72e75a6f-7183-48c5-94ff-6013f213314b"
The remote ID of the access level to grant to this user. Required if the group being added requires an access level. If omitted, the default access level remote ID value (empty string) is used.
"arn:aws:iam::590304332660:role/AdministratorAccess"
The name of the access level to grant to this user. If omitted, the default access level name value (empty string) is used.
"AdministratorAccess"
Response
Group was successfully added to the bundle.
The ID of the bundle containing the group.
"a381e7a3-e5e0-4c48-b1d6-4ccb4c191bc1"
The ID of the group within a bundle.
"a381e7a3-e5e0-4c48-b1d6-4ccb4c191bc1"
The access level of the group within a bundle.
"Read"
The remote ID of the access level of the group within a bundle.
"arn:aws:iam::490306337630:role/SupportUser"
Was this page helpful?